"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getValueFromDynamicThemeElement = exports.getValueFromStaticThemeElement = void 0;
var themes_1 = require("./themes");
var getValueFromStaticThemeElement = function (category, value, theme) {
    var selectedTheme = typeof theme === 'string' ? themes_1.Themes[theme] : theme;
    if (!selectedTheme || !selectedTheme.colors) {
        console.error('THEME ERROR', 'THEME IS NOT VALID');
        return '';
    }
    var themeValues = selectedTheme.colors[category];
    if (!themeValues) {
        console.error('THEME ERROR', 'CATEGORY NOT FOUND IN THEME');
        return '';
    }
    var color = themeValues[value];
    if (!color) {
        console.error('THEME ERROR', 'COLOR NOT FOUND IN CATEGORY');
        return '';
    }
    return color;
};
exports.getValueFromStaticThemeElement = getValueFromStaticThemeElement;
var getValueFromDynamicThemeElement = function (category, value, state, action, theme) {
    var selectedTheme = typeof theme === 'string' ? themes_1.Themes[theme] : theme;
    if (!selectedTheme || !selectedTheme.colors) {
        console.error('THEME ERROR', 'THEME IS NOT VALID');
        return '';
    }
    var dynamicElements = selectedTheme.colors[category];
    if (!dynamicElements) {
        console.error('THEME ERROR', 'DYNAMIC ELEMENT CATEGORY NOT FOUND IN THEME');
        return '';
    }
    var dynamicElementState = dynamicElements[state];
    if (!dynamicElementState) {
        console.error('THEME ERROR', 'STATE NOT FOUND IN DYNAMIC THEME CATEGORY');
        return '';
    }
    var dynamicElementStateAction = dynamicElementState[action];
    if (!dynamicElementStateAction) {
        console.error('THEME ERROR', 'ACTION NOT FOUND IN STATE IN DYNAMIC THEME CATEGORY');
        return '';
    }
    var color = dynamicElementStateAction[value];
    if (!color) {
        console.warn('THEME WARN', 'color was NOT found');
        return '';
    }
    return color;
};
exports.getValueFromDynamicThemeElement = getValueFromDynamicThemeElement;
//# sourceMappingURL=get-value-from-theme.js.map